<div class="row">
  <div class="col-lg-12 px-lg-4" id="e-services-container"
       data-tenant-id="{{ servizio.enteId }}"
       data-service-id="{{ servizio.id }}"
       data-pdnd-clients-url="{{ pdnd_api_url ~ '/tenants/' ~ servizio.enteId ~ '/clients' }}"
       data-pdnd-configs-url="{{ pdnd_api_url ~ '/tenants/' ~ servizio.enteId ~ '/configs' }}"
       data-configs="{{ servizio.pdndConfigIds | json_encode }}"
       data-default-pdnd-client-id={{ servizio.ente.defaultPdndCLientId }}
  >
    {% if schema.pdndBlocks|length > 0 %}
      <p>{{ 'pdnd.edit_service.help'|trans }}</p>
      <div class="row">
        {% for block in schema.pdndBlocks %}
          <div class="col-12 col-lg-6">
            <div class="card-wrapper card-space e-service"
                 data-eservice-id="{{ block.eservice }}"
                 data-config="{% if pdnd_configs[block.eservice] is defined %}{{ pdnd_configs[block.eservice] | json_encode }}{% endif %}"
            >
              <div class="card card-bg">
                <div class="card-body">
                  <div class="top-icon">
                    <svg class="icon">
                      <use href="/bootstrap-italia/dist/svg/sprite.svg#it-card"></use>
                    </svg>
                  </div>
                  <h5 class="card-title">{{ block.label }}</h5>
                  <p class="card-text">
                    {% if pdnd_configs[block.eservice] is defined %}
                      <strong>Id</strong> <code>{{ pdnd_configs[block.eservice].id }}</code><br>
                      <strong>Client Id</strong> <code>{{ pdnd_configs[block.eservice].client_id }}</code><br>
                      <strong>Purpose Id</strong> <code>{{ pdnd_configs[block.eservice].purpose_id }}</code><br>
                    {% endif %}
                    <strong>E-service Id</strong> <code>{{ block.eservice }}</code><br>
                    <strong>{{ 'general.stato'|trans }}</strong>
                    {% if pdnd_configs[block.eservice] is defined %}
                      <span class="badge badge-success status">{{ 'enabled'|trans }}</span>
                    {% else %}
                      <span class="badge badge-danger status">{{ 'not_enabled'|trans }}</span>
                    {% endif %}
                  </p>
                  <div class="it-card-footer">
                    <a class="btn btn-outline-primary btn-sm toggle-eservices" href="#">{{ 'modifica'|trans }}</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        {% endfor %}
      </div>
    {% else %}
      <div class="alert alert-info">{{ 'pdnd.edit_service.no_pdnd_blocks'|trans }}</div>
    {% endif %}

    {{ form_start(form) }}
    {{ form_errors(form) }}
    {{ form_rest(form) }}

    {{ include('Admin/servizio/_saveButtons.html.twig') }}
    {{ form_end(form) }}
  </div>
</div>

{% verbatim %}
  <script id="tpl-form" type="text/x-jsrender">
    <div>
      <div class="col-12 text-left">
        <div class="form-group pb-0">
          <label>{% endverbatim %}{{ 'pdnd.edit_service.modal.client_select_label'|trans }}{% verbatim %}</label>
          <div>
            <div class="row">
              {{for clients}}
                <div class="form-check form-check-inline">
                  <input name="client_id" type="radio" id="client_{{>id}}" value="{{>id}}" {{if selected}}checked="checked"{{/if}}>
                  <label for="client_{{>id}}">{{>name}}</label>
                </div>
              {{/for}}
            </div>
          </div>
        </div>
        <div class="form-group">
          <label>{% endverbatim %}{{ 'pdnd.edit_service.modal.purpose_id_input_label'|trans }}{% verbatim %}</label>
          <input type="text" class="form-control" id="purpose-id" value="{{:purpose_id}}">
          {% endverbatim %}{{ 'pdnd.e-services.enable.help'|trans|raw }}{% verbatim %}
        </div>
      </div>
    </div>
  </script>
{% endverbatim %}
